Skip to main content
GET
/
v1
/
findings
/
summary
Summarize findings
curl --request GET \
  --url https://api.app.chainloop.dev/v1/findings/summary \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.app.chainloop.dev/v1/findings/summary"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.app.chainloop.dev/v1/findings/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "suggested_actions": {
    "fixable_unassessed": 5,
    "critical_high_unassessed": 5,
    "total_unassessed": 7,
    "exploitable_unassessed": 2
  },
  "by_severity": [
    {
      "severity": null,
      "count": 4
    },
    {
      "severity": null,
      "count": 4
    }
  ],
  "last_scanned_at": "2000-01-23T04:56:07.000Z",
  "total": 0,
  "total_exploitable": 3,
  "by_effective_assessment_status": [
    {
      "count": 6,
      "status": "ASSESSMENT_STATUS_UNSPECIFIED"
    },
    {
      "count": 6,
      "status": "ASSESSMENT_STATUS_UNSPECIFIED"
    }
  ],
  "by_finding_type": [
    {
      "count": 9,
      "finding_type": "FINDING_TYPE_UNSPECIFIED"
    },
    {
      "count": 9,
      "finding_type": "FINDING_TYPE_UNSPECIFIED"
    }
  ],
  "unassessed_by_severity_fixable": [
    {
      "severity": "FINDING_SEVERITY_UNSPECIFIED",
      "is_fixable": true,
      "count": 1
    },
    {
      "severity": "FINDING_SEVERITY_UNSPECIFIED",
      "is_fixable": true,
      "count": 1
    }
  ],
  "total_fixable": 2
}
{
"code": 0,
"details": [
"details",
"details"
],
"message": "message"
}
{
"code": 6,
"details": [
"details",
"details"
],
"message": "message"
}
{
"code": 1,
"details": [
"details",
"details"
],
"message": "message"
}
{
"code": 5,
"details": [
"details",
"details"
],
"message": "message"
}
{
"code": 5,
"details": [
{
"@type": "@type"
},
{
"@type": "@type"
}
],
"message": "message"
}

Authorizations

Authorization
string
header
required

Bearer token for authentication

Query Parameters

project_name
string

Filter by project name

Filter findings by project name

project_version_name
string

Filter by project version name

Filter findings by project version name

finding_type
enum<string>[]

Filter by finding types

Filter by one or more finding types

Available options:
FINDING_TYPE_UNSPECIFIED,
FINDING_TYPE_VULNERABILITY
status
enum<string>[]

Filter by one or more lifecycle statuses. Unset = no filter.

  • FINDING_STATUS_OPEN: OPEN: newly detected finding, not yet triaged or acted upon
  • FINDING_STATUS_IN_PROGRESS: IN_PROGRESS: finding is being investigated or actively remediated
  • FINDING_STATUS_RESOLVED: RESOLVED: finding has been fixed, mitigated, or otherwise closed (see resolution_reason for details)
  • FINDING_STATUS_REJECTED: REJECTED: finding has been dismissed by an operator (e.g. false positive, risk accepted, out of scope)
Available options:
FINDING_STATUS_UNSPECIFIED,
FINDING_STATUS_OPEN,
FINDING_STATUS_IN_PROGRESS,
FINDING_STATUS_RESOLVED,
FINDING_STATUS_REJECTED
artifact_ids
string[]

Filter by artifact IDs (UUID); matches findings linked to any of the given artifacts

component_id
string

Filter findings by associated software component ID (UUID)

Response

A successful response.

Aggregate finding counts for dashboards

total
integer<int32>

Total number of findings matching the request filters

by_effective_assessment_status
object[]

Breakdown by effective assessment status (bucket with status unset = unassessed)

unassessed_by_severity_fixable
Unassessed findings bucketed by severity and fixability · object[]

Unassessed findings bucketed by severity × is_fixable

suggested_actions
object

SuggestedActionCounts are the four scalar counts driving the Suggested Actions card. All counts are restricted to unassessed findings matching the request's status/finding_type filters.

Example:
{
"fixable_unassessed": 5,
"critical_high_unassessed": 5,
"total_unassessed": 7,
"exploitable_unassessed": 2
}
by_finding_type
Breakdown by finding type (forward-compat for license/secret/misconfig findings) · object[]

Breakdown by finding type

total_exploitable
integer<int32>

Total findings whose linked vulnerability is in the CISA KEV catalog

total_fixable
integer<int32>

Total findings with a fix available

by_severity
Breakdown by severity across all findings (not restricted to unassessed) · object[]

Breakdown by severity across all findings

last_scanned_at
string<date-time>

Most recent last_seen_at timestamp across matching findings